<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLInteger.php" );
include_once("auth.php");

db_connect($db_host, $db_user, $db_pass);

$popmaxkb = $popmaxkb * 1024;
safe_query( "update admin set popmaxkb = ? ", TRUE, new SQLInteger( $popmaxkb ) );

// ftp's uid is same as user's uid
//$ftpmaxkb = $ftpmaxkb * 1024;
//safe_query( "update admin set popmaxkb = ? , ftpmaxkb = ? ", TRUE, 
//	new SQLInteger( $popmaxkb ), new SQLInteger( $ftpmaxkb ) );
//

if ($quota4all == 1) {
safe_query( "update pop3 set maxkb = ? , quota = 1", TRUE, new SQLInteger( $popmaxkb ) );

//
// ftp's uid & quota  is same as user's uid & quota
//safe_query( "update ftp set maxkb = ? , quota = 1", TRUE, new SQLInteger( $ftpmaxkb ) );
//

}

safe_query( "update allgemein set quota = 1", TRUE );

$fehlertitel = ltext("eiqu2_errortitle");
$fehlertext = ltext("eiqu2_error1");
db_close();
include("einstellungen_quota.php");
exit();
?>
